<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'SecurityBannerSpotlightCard',
  props: {
    data: {
      type: Object,
      required: true,
      default() {
        return {};
      },
    },
  },
});
</script>

<template>
  <SlpContainer>
    <SlpCard200
      :background="true"
      resource-type="Resource"
      class="security-banner-spotlight-card"
      :link="data.button.href"
      :data-ga-name="data.button.data_ga_name"
      :data-ga-location="data.button.data_ga_location"
    >
      <div class="security-banner-spotlight-card__image-container">
        <nuxt-img :src="data.image.src" :alt="data.image.alt ?? ''" />
      </div>
      <div class="security-banner-spotlight-card__content">
        <div class="slp-card100__slot--title">
          <SlpTypography tag="h3" variant="heading4-bold" class="slp-mb-16">{{
            data.title
          }}</SlpTypography>
          <SlpTypography tag="p" variant="heading5" class="slp-mb-16">
            {{ data.description }}
          </SlpTypography>
        </div>
        <SlpButton variant="primary">
          {{ data.button.text ?? 'Learn More' }}
        </SlpButton>
      </div>
    </SlpCard200>
  </SlpContainer>
</template>

<style scoped lang="scss">
.security-banner-spotlight-card {
  width: 100%;
  max-width: 100%;
  display: flex;
  padding: 0;
  overflow: hidden;
  flex-direction: column;
  border-radius: $spacing-16;
  @media (min-width: $breakpoint-sm) {
    flex-direction: row;
  }
  &__image-container {
    max-width: 100%;
    line-height: 0;
    @media (min-width: $breakpoint-sm) {
      max-width: 276px;
    }
    img {
      object-fit: cover;
      width: 100%;
      height: 100%;
    }
  }
  &__content {
    padding: $spacing-32;
    @media (min-width: $breakpoint-md) {
      padding: $spacing-48;
    }
  }
}
</style>
